using System.Text.Json.Serialization;

namespace models;

public class Attempt{
    public int id {get;set;}
    public int userAssignmentID { get; set; }
    public UserAssignment? userAssignment {get;set;}
    public DateTime date {get;set;}
    public int resultID { get; set; }
    public Result? result {get;set;}
    public string code {get;set;}
    public LanguageVersion? languageVersion { get; set; }
    public int languageVersionID { get; set; }
    [JsonIgnore]
    public bool isDeleted { get; set; }

}