using System.Text.Json.Serialization;

namespace models{
    public class UserAssignment{
        public int id {get;set;}
        public int testID { get; set; }
        public Test? test { get; set;}
        public int assignmentID { get; set; }
        public Assignment? assignment { get; set; }
        public ICollection<Attempt>? attempts { get; set; }
        public int? submissionID { get; set; }
        public DateTime created { get; set; }
        [JsonIgnore]
        public bool isDeleted { get; set; }

    }
}