﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class updatedContextWithLastMigration : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_Test_Testid",
                table: "tbl_user_assignment");

            migrationBuilder.DropForeignKey(
                name: "FK_Test_Test_testid",
                table: "Test");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Test",
                table: "Test");

            migrationBuilder.RenameTable(
                name: "Test",
                newName: "tbl_test");

            migrationBuilder.RenameIndex(
                name: "IX_Test_testid",
                table: "tbl_test",
                newName: "IX_tbl_test_testid");

            migrationBuilder.AddPrimaryKey(
                name: "PK_tbl_test",
                table: "tbl_test",
                column: "id");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_test_tbl_test_testid",
                table: "tbl_test",
                column: "testid",
                principalTable: "tbl_test",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_Testid",
                table: "tbl_user_assignment",
                column: "Testid",
                principalTable: "tbl_test",
                principalColumn: "id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_test_tbl_test_testid",
                table: "tbl_test");

            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_Testid",
                table: "tbl_user_assignment");

            migrationBuilder.DropPrimaryKey(
                name: "PK_tbl_test",
                table: "tbl_test");

            migrationBuilder.RenameTable(
                name: "tbl_test",
                newName: "Test");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_test_testid",
                table: "Test",
                newName: "IX_Test_testid");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Test",
                table: "Test",
                column: "id");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_Test_Testid",
                table: "tbl_user_assignment",
                column: "Testid",
                principalTable: "Test",
                principalColumn: "id");

            migrationBuilder.AddForeignKey(
                name: "FK_Test_Test_testid",
                table: "Test",
                column: "testid",
                principalTable: "Test",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
