﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class addedTestKeyToUserAssignment : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_Testid",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "Testid",
                table: "tbl_user_assignment",
                newName: "testid");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_Testid",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_testid");

            migrationBuilder.AlterColumn<int>(
                name: "testid",
                table: "tbl_user_assignment",
                type: "integer",
                nullable: false,
                defaultValue: 0,
                oldClrType: typeof(int),
                oldType: "integer",
                oldNullable: true);

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_testid",
                table: "tbl_user_assignment",
                column: "testid",
                principalTable: "tbl_test",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_testid",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "testid",
                table: "tbl_user_assignment",
                newName: "Testid");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_testid",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_Testid");

            migrationBuilder.AlterColumn<int>(
                name: "Testid",
                table: "tbl_user_assignment",
                type: "integer",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "integer");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_Testid",
                table: "tbl_user_assignment",
                column: "Testid",
                principalTable: "tbl_test",
                principalColumn: "id");
        }
    }
}
