﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class refactoringRelationship1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_Assignmentid",
                table: "tbl_user_assignment");

            migrationBuilder.DropIndex(
                name: "IX_tbl_user_assignment_Assignmentid",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "submission",
                table: "tbl_user_assignment",
                newName: "assigmentID");

            migrationBuilder.RenameColumn(
                name: "Assignmentid",
                table: "tbl_user_assignment",
                newName: "submissionID");

            migrationBuilder.CreateIndex(
                name: "IX_tbl_user_assignment_assigmentID",
                table: "tbl_user_assignment",
                column: "assigmentID");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_assigmentID",
                table: "tbl_user_assignment",
                column: "assigmentID",
                principalTable: "tbl_assignment",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_assigmentID",
                table: "tbl_user_assignment");

            migrationBuilder.DropIndex(
                name: "IX_tbl_user_assignment_assigmentID",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "submissionID",
                table: "tbl_user_assignment",
                newName: "Assignmentid");

            migrationBuilder.RenameColumn(
                name: "assigmentID",
                table: "tbl_user_assignment",
                newName: "submission");

            migrationBuilder.CreateIndex(
                name: "IX_tbl_user_assignment_Assignmentid",
                table: "tbl_user_assignment",
                column: "Assignmentid");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_Assignmentid",
                table: "tbl_user_assignment",
                column: "Assignmentid",
                principalTable: "tbl_assignment",
                principalColumn: "id");
        }
    }
}
