﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class refactoringRelationship2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_testid",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "testid",
                table: "tbl_user_assignment",
                newName: "testID");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_testid",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_testID");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_testID",
                table: "tbl_user_assignment",
                column: "testID",
                principalTable: "tbl_test",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_testID",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "testID",
                table: "tbl_user_assignment",
                newName: "testid");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_testID",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_testid");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_test_testid",
                table: "tbl_user_assignment",
                column: "testid",
                principalTable: "tbl_test",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
