﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class refactoredDB2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_AssignmentLanguage_tbl_assignment_assignmentid",
                table: "AssignmentLanguage");

            migrationBuilder.RenameColumn(
                name: "assignmentid",
                table: "AssignmentLanguage",
                newName: "assignmentsid");

            migrationBuilder.AddForeignKey(
                name: "FK_AssignmentLanguage_tbl_assignment_assignmentsid",
                table: "AssignmentLanguage",
                column: "assignmentsid",
                principalTable: "tbl_assignment",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_AssignmentLanguage_tbl_assignment_assignmentsid",
                table: "AssignmentLanguage");

            migrationBuilder.RenameColumn(
                name: "assignmentsid",
                table: "AssignmentLanguage",
                newName: "assignmentid");

            migrationBuilder.AddForeignKey(
                name: "FK_AssignmentLanguage_tbl_assignment_assignmentid",
                table: "AssignmentLanguage",
                column: "assignmentid",
                principalTable: "tbl_assignment",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
