﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class refactorUserAssignmentToLV : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_languageID",
                table: "tbl_user_assignment");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_version_languageID",
                table: "tbl_user_assignment",
                column: "languageID",
                principalTable: "tbl_language_version",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_version_languageID",
                table: "tbl_user_assignment");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_languageID",
                table: "tbl_user_assignment",
                column: "languageID",
                principalTable: "tbl_language",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
