﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class refactorColumnName : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_assigmentID",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "assigmentID",
                table: "tbl_user_assignment",
                newName: "assignmentID");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_assigmentID",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_assignmentID");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_assignmentID",
                table: "tbl_user_assignment",
                column: "assignmentID",
                principalTable: "tbl_assignment",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_assignmentID",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "assignmentID",
                table: "tbl_user_assignment",
                newName: "assigmentID");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_assignmentID",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_assigmentID");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_assigmentID",
                table: "tbl_user_assignment",
                column: "assigmentID",
                principalTable: "tbl_assignment",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
