import React, { useState } from 'react'

function AdminInputNum({ inputvalue, fieldToUpdate, handler }) {
    const update = (event) => {
        handler(parseInt(event.target.value), fieldToUpdate)
    }
  return (
    <div>
        <input type='number' value={inputvalue} onChange={update} max="3" min="0" className='admin-input'/>
    </div> 
  )
}

export default AdminInputNum