import React, { useState } from 'react'
import FilterCheck from '../resources/filterChecked.svg'
import FilterUncheck from '../resources/FilterUnchecked.svg'

function FilterCheckbox({ checkValue, boxValue, type, handler }) {
    const update = (value) => {
        console.log(value);
        handler(value, type, boxValue)
    }
    return (
        <div onClick={() => update(!checkValue)}>
            {checkValue && <img src={FilterCheck} className='filter-img'/>}
            {!checkValue && <img src={FilterUncheck} className='filter-img' />}
        </div>
    )
}

export default FilterCheckbox