import React, { useRef } from 'react';

export default function Select({ handler, list }) {
	return (
		<div className='assignment-select-wrap'>
			<select onChange={handler} className="select-custom-icon">
				{list.map(element => {
					return <option className='assignment-option' value={element.id} key={element.id}>{element.name}</option>
				})}
			</select>
		</div>
	)
}
