function convertAttempt(attempt){
    const setAttempt = {...attempt};
    delete setAttempt.id;
    setAttempt.userAssignment = null;
    setAttempt.date = new Date().toJSON();
    setAttempt.resultID = 0;
    setAttempt.result = null;
    setAttempt.languageVersion = null;
    return setAttempt
}

async function postAttempt(attempt){
    console.log(attempt);
    console.log(convertAttempt(attempt));
    const resp = await fetch("http://localhost:5291/api/Attempt",
        {method:"POST", 
        body:JSON.stringify(convertAttempt(attempt)),
        headers:{ "Content-Type":"application/json", "Accept":"*/*" }
    })
        .then((res) => res.json())
        .then((data) => {
            console.log("post attempt:");
            console.log(data);
            return data;
    });
    return resp;
}

export default { convertAttempt, postAttempt }