import React from 'react'
import homecss from '../styles/home.css'

function HomeView() {
  return (
    <div className='home-container'>
      <div className='home-header-container'>
        <h1>
          Testplattform for utviklerkandidater
        </h1>
        <p>
          Et bachelorprosjekt av Birk Johannessen, Anine Hammersborg og Anders-Marius Gjerdalen.
        </p>
        <p>
          Oppdragsgiver Wide Assessment.
        </p>
        <p>
          Veileder Violet Ka I Pun, HVL.
        </p>
      </div>
      <div className='home-text'>
          Vi er glade for å kunne tilby en unik mulighet til å teste dine programmeringsferdigheter på en enkel og effektiv måte. Med vår plattform kan du enkelt teste dine ferdigheter og få tilbakemeldinger på hvor du står som utviklerkandidat. Vi tilbyr en rekke ulike oppgaver som vil utfordre dine evner og hjelpe deg å utvikle deg videre som programmerer.
          <br/> <br/>

          Vår plattform er utviklet med brukervennlighet i fokus, og er tilgjengelig for alle uansett nivå eller erfaring. Enten du er en erfaren utvikler eller en nybegynner, vil du finne oppgaver som passer for deg på vår plattform.
          <br/> <br/>

          Vi er stolte av å ha laget en plattform som vil hjelpe deg å utvikle dine programmeringsferdigheter, og vi håper du vil nyte å teste dine ferdigheter på vår plattform. Takk for at du velger oss!
          <br/> <br/>

          Birk Johannessen, Anine Hammersborg og Anders-Marius Gjerdalen
      </div>
    </div>
  )
}

export default HomeView