using System.Text.Json.Serialization;

namespace models{
    public class Assignment{
        public int id { get; set; }
        public string name {get;set;}
        public string description {get;set;}
        public Difficulty difficulty {get;set;}
        public DateTime released { get; set; }
        public ICollection<Language> languages { get; set; }
        public ICollection<AssignmentUnitTest> unitTests { get; set; }
        [JsonIgnore]
        public ICollection<UserAssignment> userAssignments{ get; set; }
        [JsonIgnore]
        public bool isDeleted { get; set; }

    }
}