using System.Text.Json.Serialization;

namespace models;

public class Language{
    public int id { get; set; }
    public string name { get; set; }
    public string codeTemplate { get; set; }
    public ICollection<Assignment>? assignments { get; set; }
    public ICollection<LanguageVersion>? languageVersions { get; set; }
    public ICollection<AssignmentUnitTest>? unitTests { get; set; }
    [JsonIgnore]
    public bool isDeleted { get; set; }
}