using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;
namespace models;

public class LanguageVersion{
    public int id { get; set; }
    public int languageID { get; set; }
    public Language? language { get; set; }
    public string name { get; set; }
    public string code { get; set; }
    public ICollection<Attempt>? attempts { get; set; }
    [JsonIgnore]
    public bool isDeleted { get; set; }
}