﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class connectedAssignmentAndUserAssignment : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "Assignmentid",
                table: "tbl_user_assignment",
                type: "integer",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_tbl_user_assignment_Assignmentid",
                table: "tbl_user_assignment",
                column: "Assignmentid");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_Assignmentid",
                table: "tbl_user_assignment",
                column: "Assignmentid",
                principalTable: "tbl_assignment",
                principalColumn: "id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_assignment_Assignmentid",
                table: "tbl_user_assignment");

            migrationBuilder.DropIndex(
                name: "IX_tbl_user_assignment_Assignmentid",
                table: "tbl_user_assignment");

            migrationBuilder.DropColumn(
                name: "Assignmentid",
                table: "tbl_user_assignment");
        }
    }
}
