﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class onetomanyto1depenency : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_language_version_tbl_assignment_unit_test_AssignmentUni~",
                table: "tbl_language_version");

            migrationBuilder.DropIndex(
                name: "IX_tbl_language_version_AssignmentUnitTestid",
                table: "tbl_language_version");

            migrationBuilder.DropColumn(
                name: "AssignmentUnitTestid",
                table: "tbl_language_version");

            migrationBuilder.AddColumn<int>(
                name: "languageVersionsid",
                table: "tbl_assignment_unit_test",
                type: "integer",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_tbl_assignment_unit_test_languageVersionsid",
                table: "tbl_assignment_unit_test",
                column: "languageVersionsid");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_assignment_unit_test_tbl_language_version_languageVersi~",
                table: "tbl_assignment_unit_test",
                column: "languageVersionsid",
                principalTable: "tbl_language_version",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_assignment_unit_test_tbl_language_version_languageVersi~",
                table: "tbl_assignment_unit_test");

            migrationBuilder.DropIndex(
                name: "IX_tbl_assignment_unit_test_languageVersionsid",
                table: "tbl_assignment_unit_test");

            migrationBuilder.DropColumn(
                name: "languageVersionsid",
                table: "tbl_assignment_unit_test");

            migrationBuilder.AddColumn<int>(
                name: "AssignmentUnitTestid",
                table: "tbl_language_version",
                type: "integer",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_tbl_language_version_AssignmentUnitTestid",
                table: "tbl_language_version",
                column: "AssignmentUnitTestid");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_language_version_tbl_assignment_unit_test_AssignmentUni~",
                table: "tbl_language_version",
                column: "AssignmentUnitTestid",
                principalTable: "tbl_assignment_unit_test",
                principalColumn: "id");
        }
    }
}
