﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class addedAttemptuserassignmentconnectioncorrectly : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_attempt_tbl_user_assignment_UserAssignmentid",
                table: "tbl_attempt");

            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_attempt_submissionid",
                table: "tbl_user_assignment");

            migrationBuilder.DropIndex(
                name: "IX_tbl_user_assignment_submissionid",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "submissionid",
                table: "tbl_user_assignment",
                newName: "submission");

            migrationBuilder.RenameColumn(
                name: "UserAssignmentid",
                table: "tbl_attempt",
                newName: "userAssignmentid");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_attempt_UserAssignmentid",
                table: "tbl_attempt",
                newName: "IX_tbl_attempt_userAssignmentid");

            migrationBuilder.AlterColumn<int>(
                name: "userAssignmentid",
                table: "tbl_attempt",
                type: "integer",
                nullable: false,
                defaultValue: 0,
                oldClrType: typeof(int),
                oldType: "integer",
                oldNullable: true);

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_attempt_tbl_user_assignment_userAssignmentid",
                table: "tbl_attempt",
                column: "userAssignmentid",
                principalTable: "tbl_user_assignment",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_attempt_tbl_user_assignment_userAssignmentid",
                table: "tbl_attempt");

            migrationBuilder.RenameColumn(
                name: "submission",
                table: "tbl_user_assignment",
                newName: "submissionid");

            migrationBuilder.RenameColumn(
                name: "userAssignmentid",
                table: "tbl_attempt",
                newName: "UserAssignmentid");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_attempt_userAssignmentid",
                table: "tbl_attempt",
                newName: "IX_tbl_attempt_UserAssignmentid");

            migrationBuilder.AlterColumn<int>(
                name: "UserAssignmentid",
                table: "tbl_attempt",
                type: "integer",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "integer");

            migrationBuilder.CreateIndex(
                name: "IX_tbl_user_assignment_submissionid",
                table: "tbl_user_assignment",
                column: "submissionid");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_attempt_tbl_user_assignment_UserAssignmentid",
                table: "tbl_attempt",
                column: "UserAssignmentid",
                principalTable: "tbl_user_assignment",
                principalColumn: "id");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_attempt_submissionid",
                table: "tbl_user_assignment",
                column: "submissionid",
                principalTable: "tbl_attempt",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
