﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class refactorUserAssignmentToLV2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_version_languageID",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "languageID",
                table: "tbl_user_assignment",
                newName: "languageVersionID");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_languageID",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_languageVersionID");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_version_languageVersionID",
                table: "tbl_user_assignment",
                column: "languageVersionID",
                principalTable: "tbl_language_version",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_version_languageVersionID",
                table: "tbl_user_assignment");

            migrationBuilder.RenameColumn(
                name: "languageVersionID",
                table: "tbl_user_assignment",
                newName: "languageID");

            migrationBuilder.RenameIndex(
                name: "IX_tbl_user_assignment_languageVersionID",
                table: "tbl_user_assignment",
                newName: "IX_tbl_user_assignment_languageID");

            migrationBuilder.AddForeignKey(
                name: "FK_tbl_user_assignment_tbl_language_version_languageID",
                table: "tbl_user_assignment",
                column: "languageID",
                principalTable: "tbl_language_version",
                principalColumn: "id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
