﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace api.Migrations
{
    /// <inheritdoc />
    public partial class renamedIDandAddedIsDeletedInResult : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "ID",
                table: "tbl_result",
                newName: "id");

            migrationBuilder.AddColumn<bool>(
                name: "isDeleted",
                table: "tbl_result",
                type: "boolean",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "isDeleted",
                table: "tbl_result");

            migrationBuilder.RenameColumn(
                name: "id",
                table: "tbl_result",
                newName: "ID");
        }
    }
}
