namespace request;
using impl;
using context;
using models;
public class AssignmentRequest{
        public int id { get; set; }
        public string name {get;set;}
        public string description {get;set;}
        public Difficulty difficulty {get;set;}
        public DateTime released { get; set; }
        public List<int> languages { get; set; }
    public Assignment convertToModelNew(DBimpl impl){
        Assignment a = new Assignment();
        ICollection<Language> langs = new List<Language>();
        foreach(int id in languages){
            Language l = impl.getSingleLanguage(id);
            if(l != null){
                langs.Add(l);
            }
        }
        a.id = id;
        a.name = name;
        a.description = description;
        a.difficulty = difficulty;
        a.released = released;
        a.languages = langs;
        return a; 
    }
    public Assignment convertToModelUpdate(DBimpl impl){
        Assignment a = new Assignment();
        ICollection<Language> langs = new List<Language>();
        foreach(int id in languages){
            Language l = impl.getSingleLanguage(id);
            if(l != null){
                langs.Add(l);
            }
        }
        a.id = id;
        a.name = name;
        a.description = description;
        a.difficulty = difficulty;
        a.released = released;
        a.languages = langs;
        return a; 
    }
}