namespace request;
using impl;
using models;

public class TestRequest{
    public int id { get; set; }
    public string? user { get; set; }
    public string? owner { get; set; }
    public string? link { get; set; }
    public List<int> assingmentIDs { get; set; }
    public TestType testTypeID { get; }

    public TestRequest(){}
    public Test convertToModelNew(DBimpl impl){
        Test test = new Test();
        test.testTypeID = testTypeID;
        test.user = user;
        test.owner = owner;
        test.link = link;

        List<UserAssignment> uas = new List<UserAssignment>();
        foreach(int assingmentID in assingmentIDs){
            UserAssignment ua = new UserAssignment();
            ua.assignment = impl.getSingleAssignment(assingmentID);
            ua.attempts = new List<Attempt>();
            ua.submissionID = 0;
            ua.created = DateTime.Now;
            ua.test = null;
            if(ua.assignment != null && impl.newUserAssignment(ua) != null){
                uas.Add(ua);
            }
        test.userAssignments = uas;
        }
        return test;
    }
}