import React from 'react'

function AdminButton({ name, color, handler}) {
  return (
    <div className='admin-button-container'>
        <button className={color=="red"?"admin-btn-red":"admin-btn"} onClick={() => handler(name)}>{name}</button>
    </div>
  )
}

export default AdminButton
