import React from 'react'

function AdminSelect( { list, fieldToUpdate, handler } ) {
  return (
        <select onChange={(event) => handler(event.target.value, fieldToUpdate)} className="select">
            {list.map(element => {
                return <option value={element.id} key={element.id}>{element.name}</option>
            })}
        </select>
  )
}

export default AdminSelect; 
