import React from 'react'
import { useState, useEffect, useRef} from 'react';
import Textarea from '@mui/joy/Textarea';

function AdminTextbox({ value, fieldToUpdate, handler}) {
    const handleTextChange = (event) => {
        handler(event.target.value, fieldToUpdate);
      };
  return (
    <div>
        <Textarea name="Plain" placeholder="description"
         variant="plain" 
         value={value}
         onChange={handleTextChange}
         minRows={3}/>
    </div>
  )
}

export default AdminTextbox;