import React from 'react'

function Console( { result }) {


    function mapComplete(){
        switch(result.complete){
            case 0:
                return "COMPILE ERROR"
            break;
            case 1:
                return "ALL UNIT-TESTS FAILED"
            break;
            case 2:
                return "SOME UNIT TEST PASSED"
            break;
            case 3:
                return "SECRET UNIT TESTS FAILED"
            break;
            case 4:
                return "ALL UNIT TESTS PASSED"
            break;
            default:
                return "";
            break;
        }
    }
  return (
    <div className='console-container'>
        <div className='console-stats'>
                Program Runtime: {result.runtime} ms <br/>
                Status: {mapComplete()}
        </div>
        <div className={result.complete!=undefined?'console-'+result.complete:'console-default'}>
            <pre>{result.output}</pre>
        </div>
    </div>
  )
}

export default Console
