function convertToUnitTestRequest(unitTest) {
    const unitTestReq = {...unitTest}
    unitTestReq.assignment = null;
    unitTestReq.language = null;
    return unitTestReq;
}
async function postUnitTest(unitTest) {
    delete unitTest.id;
    const resp = await fetch("http://localhost:5291/api/unitTest",
        {method:"POST", 
        body:JSON.stringify(convertToUnitTestRequest(unitTest)),
        headers:{ "Content-Type":"application/json", "Accept":"*/*" }
    })
        .then((res) => res.json())
        .then((data) => {
            console.log("post:");
            console.log(data);
            return data;
    });
    return resp;
}
async function deleteUnitTest(unitTest) {
    const resp = await fetch("http://localhost:5291/api/unittest/"+unitTest.id,
        {method:"DELETE", headers:{"Accept":"*/*"}})
        .then((res) => res.json())
        .then((data) => {
            console.log("delete:");
            console.log(data);
            return data;
        })
    return resp;
}
async function getDetailedUnitTest(unitTest) {
    const resp = await fetch("http://localhost:5291/api/unitTest/"+unitTest.id,
        {method:"GET", headers:{ "Content-Type":"application/json", "Accept":"*/*" }})
        .then((res) => res.json())
        .then((data) => {
            console.log("delete:");
            console.log(data);
            return data;
        })
    return resp;
}

export default { postUnitTest, getDetailedUnitTest, deleteUnitTest, convertToUnitTestRequest}